package com.chinaitop.depot.utils;

import java.io.IOException;

import javax.servlet.*;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import org.apache.commons.lang.ObjectUtils;

public class CustomFilter implements Filter {

	@Override
    public void init(FilterConfig filterConfig) throws ServletException {
 
    }
	
	@Override
	public void doFilter(ServletRequest arg0, ServletResponse arg1, FilterChain arg2)
			throws IOException, ServletException {
		HttpServletRequest request = (HttpServletRequest) arg0;
		HttpSession session = request.getSession();
		String orgId = "";
		if (session != null){
			orgId = ObjectUtils.toString(session.getAttribute("orgId"),"");
		}
		if (!orgId.isEmpty()) {
			DataPolicyEngine.set(orgId);
			arg2.doFilter(arg0, arg1);//放行，通过了当前过滤器，递交给下一个filter进行过滤
		}else if ("/Enum/findEnumObj".equals(request.getServletPath())
				||"/depotbasic/basicWarehouseWebService".equals(request.getServletPath()+request.getPathInfo())) {
			arg2.doFilter(arg0, arg1);//放行，通过了当前过滤器，递交给下一个filter进行过滤
		}else{
			//把返回值输出到客户端
			arg1.setContentType("text/html;charset=utf-8");
			ServletOutputStream out = arg1.getOutputStream();
			out.write("请登录后再查询数据！".getBytes("utf-8"));
			out.flush();
		}
		DataPolicyEngine.remove();
	}
	
	@Override
    public void destroy() {
 
    }

}
